Jitsi-meet android SDK - Android SDK v23


#1

Hello,

I am trying to use the prebuilt binaries for the android sdk.

My project needs to target android sdk level 23. From the jitsi sdk source it looks like it is compatible back to api v21.

However when I make an empty project and add dependency to the sdk I get the following build failure

“”"
Android resource linking failed
Output: error: resource android:style/TextAppearance.Material.Widget.Button.Borderless.Colored not found.
error: resource android:style/TextAppearance.Material.Widget.Button.Colored not found.
“”"

From what I can gather online this resource was added in android api v24.

This is my first time trying to make an android application, any help would be appreciated.

Thanks


#2

Never mind, after adjusting gradle config to target same versions of android api 21 - 27 was able to build successfully and deploy to device.